@font-face {
	font-family: OpenSans;
	src: url(../fonts/OpenSans-Light.ttf);
  font-weight: 300;
}
@font-face {
	font-family: OpenSans;
	src: url(../fonts/OpenSans-Regular.ttf);
  font-style: italic;
  font-weight: 300;
}
@font-face {
	font-family: OpenSans;
	src: url(../fonts/OpenSans-Regular.ttf)
}
@font-face {
	font-family: OpenSans;
	src: url(../fonts/OpenSans-Italic.ttf);
	font-style: italic;
}
@font-face {
	font-family: OpenSans;
	src: url(../fonts/OpenSans-Bold.ttf);
	font-weight: bold;
}
@font-face {
	font-family: OpenSans;
	src: url(../fonts/OpenSans-BoldItalic.ttf);
	font-style: italic;
	font-weight: bold;
}

/*
variables
*/
:root {
  --black: #000;
  --white: #fff;
  --txt-width: 50ch;
  --nav-width: 30ch;
  --root-fs: clamp(16px, calc(1vw + 1vh + 0.5vmin), 20px);
  --gap-1: 0.3rem;
  --gap-2: 0.5rem;
  --gap-3: 1rem;
}

html {
  font-family: 'OpenSans', sans-serif;
  font-size: var(--root-fs);
  line-height: 1.5;
  color: var(--white);
  background-color: var(--black);
}
body {
  margin: 0;
}

/* hide scrollbars */
.noScrollBar {
  -ms-overflow-style: none;
  scrollbar-width: none;
}
.noScrollBar::-webkit-scrollbar {
  display: none;
}

/* selection */
::selection {
  background-color: white;
  color: black;
}

a {
  color: inherit!important;
}
svg,
img {
  fill: var(--white);
  max-width: 100%;
}

.light {
  font-weight: 300;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1;
  letter-spacing: -0.05rem;
}
p {
  text-align: justify;
}
/*
layout
*/
body,
body>header>a,
body>footer {
  display: grid;
  grid-template-columns: 3fr 7fr;
  grid-gap: 0.5rem;
}
body {
  padding: 0.5rem;
}
/*
 * header
 */
body>header {
  grid-column: 1 / -1;
}
body>header * {
  margin: 0;
}
body>header>a {
  text-decoration: none;
  text-transform: lowercase;
}
body>header>a>* {
  font-size: 2rem;
  line-height: 1;
  max-height: 6rem;
}
body>header>a>svg {
  justify-self: end;
}

/*
 * footer
 */
body>footer {
  grid-column: 1 / -1;
}
body>footer * {
  margin: 0;
}
body>footer>.social {
  place-self: center end;
}
body>footer>address {
  place-self: center start;
  text-align: left;
}
body>footer>address>ul {
  align-self: center;
}

/*
 * nav
 */
body>nav {
  align-self: start;
  position: sticky;
  top: 0;
  max-height: 100vh;
  overflow: scroll;
}
body>nav ul {
  margin: 0;
  padding: 0.5rem 0;
  list-style: none;
  display: grid;
  grid-template-rows: auto;
  grid-gap: var(--gap-1);
  text-align: right;
}
.selected>a {
  font-weight: bold;
}

main,
main>section {
  display: grid;
  grid-gap: 0.5rem;
  max-width: var(--txt-width);
}

.sectionHeader {
  font-size: 1rem;
}

/*
 * card
 */
.card,
.card * {
  display: block;
  font-size: 1rem;
  margin: 0;
  padding: 0;
  text-decoration: none;
}
.card {
  border-bottom: thin solid;
  border-right: thin solid;
  padding: 0.5rem;
}

/*
 * single
 */
.crumbs {
  display: block;
  padding: 0.5rem 0;
}
.cardHeader,
.cardHeader * {
  display: block;
  font-size: 1rem;
  margin: 0;
  padding: 0;
  text-decoration: none;
}
.cardHeader>figure {
  padding: 0.5rem;
}
.cardHeader>time {
  border-top: thin solid;
  padding-top: 0.5rem;
}
.cardHeader>h1 {
  border-bottom: thin solid;
  padding-bottom: 0.5rem;
}

/*
.post>header {
  padding: 0.5rem;
  border-top: thin solid;
  border-bottom: thin solid;
}*/
/*
 * footer
 */
.social {
  padding: 0;
  margin: 0;
  list-style: none;
}
.social svg {
  min-height: 1rem;
  max-height: 1rem;
}

/*
 * post
 */
  .post {
    max-width: 55ch;
  }
